# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We don't really need ExtUtils::MakeMaker ≥ 6.17
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.17) ? 1 : 0);' 2>/dev/null || echo 0)

# We need to patch the test suite if we have Test::More < 0.88
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-CPAN-Meta-YAML
Version:	0.007
Release:	1.%{__distinit}%{__distvers}
Summary:	Read and write a subset of YAML for CPAN Meta files
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/CPAN-Meta-YAML/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/CPAN-Meta-YAML-%{version}.tar.gz
Patch0:		CPAN-Meta-YAML-0.006-old-EU::MM.patch
Patch1:		CPAN-Meta-YAML-0.006-old-Test::More.patch
Patch2:		CPAN-Meta-YAML-0.006-no-Test::Requires.patch
Patch3:		CPAN-Meta-YAML-0.004-old-Scalar::Util.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
%if %(perl -e 'print $] >= 5.008001 ? 1 : 0;')
BuildRequires:	aspell-en
%else
BuildRequires:	aspell-en-gb
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Pod::Wordlist::hanekomu)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
# Test::Requires needs Test::Builder::Module,
# only available with perl ≥ 5.8.8 (FC-5 onwards)
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
BuildRequires:	perl(Test::Requires)
%endif
BuildRequires:	perl(Test::Spelling)
BuildRequires:	perl(Test::Version)
BuildRequires:	perl(YAML)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module implements a subset of the YAML specification for use in reading
and writing CPAN metadata files like META.yml and MYMETA.yml. It should not be
used for any other general YAML parsing or generation task.

This module is currently derived from YAML::Tiny by Adam Kennedy. If there are
bugs in how it parses a particular META.yml file, please file a bug report in
the YAML::Tiny bugtracker:
http://rt.cpan.org/NoAuth/ReportBug.html?Queue=YAML-Tiny

%prep
%setup -q -n CPAN-Meta-YAML-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.17
%if %{old_eumm}
%patch0 -p1
%endif

# We need to patch the test suite if we have Test::More < 0.88
%if %{old_test_more}
%patch1 -p1
%endif

# Work around absence of Test::Requires if necessary
%if %(perl -e 'print $] >= 5.008008 ? 0 : 1;')
%patch2 -p1
%endif

# Fix operation with Scalar::Util < 1.18 properly (CPAN RT#53490)
%patch3 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test TEST_FILES="t/*.t xt/*/*.t"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::YAML.3pm*

%changelog
* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.007-1
- Update to 0.007:
  - Documentation fix to replace missing abstract

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006:
  - Set back configure_requires prerequisite for ExtUtils::MakeMaker
    from 6.30 to 6.17
- BR: perl(Test::Requires) where possible, and patch out the requirement for
  it otherwise
- BR: perl(Test::Spelling), perl(Pod::Wordlist::hanekomu) and aspell-en to
  enable the spell checker test
- Update patches

* Tue Dec 13 2011 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005:
  - Fix documentation to clarify that users are responsible for UTF-8
    encoding/decoding

* Wed Sep  7 2011 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004:
  - Generated from ADAMK/YAML-Tiny-1.50.tar.gz
- BR: perl(Test::Version) for additional test coverage
- Update patch for building with ExtUtils::MakeMaker < 6.30
- Add patch to support building with Test::More < 0.88
- Add patch from perl-YAML-Tiny to fix operation with Scalar::Util < 1.18

* Wed Aug 17 2011 Paul Howarth <paul@city-fan.org> - 0.003-7
- Install to vendor perl directories rather than private perl directories
 
* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 0.003-2
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jan 25 2011 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
